Subject: LRO: First question (followup to "I did it")

From: "Dick Love" <[email-masked]>
Date: Wed, 16 May 2001 14:39:06 -0700

OK, I put gas in the "Mountain Slug" and drove it around a little( had to
jump start it as battery was down). It stumbles badly on acceleration. There
was no popping and farting so I think it wasn't ignition. Should I s**t can
the single barrel Weber and put a Rochester on it or screw around with the
jetting on the Weber (lean?). The Lucas "SureFire" distributor puts out a
real weak spark so I guess I should go to Petronix there while replacing the
coil. I flooded it and had a bitch of a time resarting it due to the
weakness of ignition, I think. Tranny and transfer case seem pretty tight
and steering doesn't have too much wander. The oil cooler likes to "moan"
something awful. Maybe I should change the name to "Banshee".